View Issue Details

IDProjectCategoryView StatusLast Update
0005943DarkRadiantRendererpublic23.04.2022 05:05
Reportergreebo Assigned Togreebo  
PrioritynormalSeveritynormalReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version3.0.0 
Fixed in Version3.0.0 
Summary0005943: Brush manipulation is laggy in huge maps
DescriptionEditing brushes becomes increasingly slower the larger the map is. In a given map with 43k brushes, drag-resizing a new brush is rather slow.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

DarkRadiant: master f892bcd2

2022-04-18 14:22:49

greebo

Details Diff
0005943: Reduce code duplication when recording the transactions. Take shortcuts when only one buffer is involved. Affected Issues
0005943
mod - include/igeometrystore.h Diff File
mod - libs/render/ContinuousBuffer.h Diff File
mod - libs/render/GeometryStore.h Diff File

DarkRadiant: master 33f90918

2022-04-19 17:11:37

greebo

Details Diff
0005943: Remove glFinish call from XY draw routine Affected Issues
0005943
mod - radiant/xyview/XYWnd.cpp Diff File

DarkRadiant: master 36f49777

2022-04-19 17:12:33

greebo

Details Diff
0005943: Try to copy less data around. Also use a std::set to prevent the same slot from being synced multiple times. Affected Issues
0005943
mod - libs/render/ContinuousBuffer.h Diff File
mod - radiantcore/rendersystem/backend/BufferObjectProvider.h Diff File

DarkRadiant: master c6ca4aa5

2022-04-22 10:52:05

greebo

Details Diff
0005943: More optimisations to reduce the amount of data that is marked as modified and copied around. Affected Issues
0005943
mod - libs/render/ContinuousBuffer.h Diff File
mod - libs/render/GeometryStore.h Diff File
mod - test/ContinuousBuffer.cpp Diff File

DarkRadiant: master 1816c03c

2022-04-23 04:42:44

greebo

Details Diff
0005943: Fix crash when rendering NullModels Affected Issues
0005943
mod - radiantcore/rendersystem/backend/InteractingLight.cpp Diff File

DarkRadiant: master cb9b536e

2022-04-23 04:43:21

greebo

Details Diff
0005943: More precise buffer synchronisation to prevent copying the whole surface slot when just a single brush is moved Affected Issues
0005943
mod - libs/render/ContinuousBuffer.h Diff File
mod - test/ContinuousBuffer.cpp Diff File

Issue History

Date Modified Username Field Change
19.04.2022 17:11 greebo New Issue
19.04.2022 18:07 greebo Status new => confirmed
22.04.2022 11:01 greebo Changeset attached => DarkRadiant master f892bcd2
22.04.2022 11:01 greebo Changeset attached => DarkRadiant master 33f90918
22.04.2022 11:01 greebo Changeset attached => DarkRadiant master 36f49777
22.04.2022 11:01 greebo Changeset attached => DarkRadiant master c6ca4aa5
23.04.2022 04:53 greebo Changeset attached => DarkRadiant master 1816c03c
23.04.2022 04:53 greebo Changeset attached => DarkRadiant master cb9b536e
23.04.2022 05:05 greebo Assigned To => greebo
23.04.2022 05:05 greebo Status confirmed => resolved
23.04.2022 05:05 greebo Resolution open => fixed
23.04.2022 05:05 greebo Fixed in Version => 3.0.0